equalBins {Hmisc} | R Documentation

## Multicolumn Formating

### Description

Expands the width either supercolumns or the subcolumns so that the the sum of the supercolumn widths is the same as the sum of the subcolumn widths.

### Usage

    equalBins(widths, subwidths)

### Arguments

`widths` | widths of the supercolumns.
`subwidths` | list of widths of the subcolumns for each supercolumn.

### Details

This determins the correct subwidths of each of various columns in a table for printing. The correct width of the multicolumns is deterimed by summing the widths of it subcolumns.

### Value

widths of the the columns for a table.

### Author(s)

Charles Dupont

### See Also

`nchar`, `stringDims`

### Examples

    mcols <- c("Group 1", "Group 2")
    mwidth <- nchar(mcols, type="width")
    spancols <- c(3,3)
    ccols <- c("a", "deer", "ad", "cat", "help", "bob")
    cwidth <- nchar(ccols, type="width")

    subwidths <- partition.vector(cwidth, spancols)

    equalBins(mwidth, subwidths)

[Package Hmisc version 3.17-4 Index]